<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("typ" . "e" => base64_decode("dHlwZ" . "Q=="), "_2e858fb197333" . "7f53ff85c104fc" . "b38f4" => base64_decode("cHVibGlzaGV" . "k"), "_939c6a45ff74323d" . "bef487ed15753a7c" => base64_decode("c3RhdG" . "U="), "_4c760fb02a49c55509ba0" . "87b84fbda45" => base64_decode("ZH" . "Jh" . "Zn" . "Q="), "_d0845bff5cd0ddb5ed1d7bd9db996f5" . "1" => base64_decode("c291" . "cmNl"), "_32155ccb342f1990" . "43093041c1b3bb57" => base64_decode("ZnJvbV9" . "mb2xkZX" . "JfaWQ="), "_80e7ee43fdf838101a2303" . "a7b4a50efc" => base64_decode("dG9fZm9sZGVyX" . "2lk"));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_939c6a45ff74323dbef487" . "ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_939c6a45ff7432" . "3dbef487ed15753" . "a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4c760fb02a49c55509ba087b84fbda" . "45"];
        }
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_2e858fb1973337f" . "53ff85c104fcb38f" . "4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["ty" . "pe"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d0845bff5cd0dd" . "b5ed1d7bd9db996" . "f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_32155ccb3" . "42f1990430" . "93041c1b3b" . "b57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_80e7ee43fdf" . "838101a2303a" . "7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}